#!/bin/sh
#
# Skrooge coding style is defined in http://techbase.kde.org/Policies/Kdelibs_Coding_Style 
#
P="@CMAKE_SOURCE_DIR@"
echo "Applying astyle rules..."
astyle -n -v --indent=spaces=4 --brackets=linux --align-pointer=type  \
       --indent-labels --pad-oper --unpad-paren --pad-header \
       --keep-one-line-statements --convert-tabs \
       --indent-preprocessor \
       $P/*/*.cpp $P/*/*.h $P/*/*/*.cpp $P/*/*/*.h $P/*/*/*/*.cpp $P/*/*/*/*.h $P/*/*/*/*/*.cpp $P/*/*/*/*/*.h 
echo "Done!"